OpenVDB: DualGridSampler< tree::ValueAccessor< TreeT >, SamplerT > Class Template Reference

OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
DualGridSampler< tree::ValueAccessor< TreeT >, SamplerT > Class Template Reference

Specialization of DualGridSampler for construction from a ValueAccessor type. More...

`#include <Interpolation.h>`

## Public Types
typedef TreeT::ValueType | ValueType
typedef TreeT | TreeType
typedef Grid< TreeType > | GridType
typedef tree::ValueAccessor< TreeT > | AccessorType

## Public Member Functions
| DualGridSampler (const AccessorType &sourceAccessor, const math::Transform &sourceXform, const math::Transform &targetXform)
| ValueAccessor and transform constructor. More...
ValueType | operator() (const Coord &ijk) const
| Return the value of the source grid at the index coordinates, ijk, relative to the target grid. More...
bool | isAligned () const
| Return true if the two grids are aligned. More...

## Detailed Description

### template<typename TreeT, typename SamplerT>
class openvdb::v3_2_0::tools::DualGridSampler< tree::ValueAccessor< TreeT >, SamplerT >

Specialization of DualGridSampler for construction from a ValueAccessor type.

## Member Typedef Documentation

## § AccessorType

typedef tree::ValueAccessor<TreeT> AccessorType

## § GridType

typedef Grid<TreeType> GridType

## § TreeType

typedef TreeT TreeType

## § ValueType

typedef TreeT::ValueType ValueType

## Constructor & Destructor Documentation

## § DualGridSampler()

DualGridSampler | ( | const AccessorType & | sourceAccessor,
|  | const math::Transform & | sourceXform,
|  | const math::Transform & | targetXform
| ) |  |
| inline

ValueAccessor and transform constructor.

Parameters

  sourceAccessor | ValueAccessor into the source grid.
  sourceXform | Transform for the source grid.
  targetXform | Transform for the target grid.

## Member Function Documentation

## § isAligned()

bool isAligned | ( |  | ) | const
| inline

Return true if the two grids are aligned.

## § operator()()

ValueType operator() | ( | const Coord & | ijk | ) | const
| inline

Return the value of the source grid at the index coordinates, ijk, relative to the target grid.

The documentation for this class was generated from the following file:

- Interpolation.h